<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__timer_8h" kind="file" language="C++">
    <compoundname>cyhal_timer.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__timer__impl_8h">cyhal_timer_impl.h</includedby>
    <incdepgraph>
      <node id="393">
        <label>stdbool.h</label>
      </node>
      <node id="392">
        <label>stdint.h</label>
      </node>
      <node id="391">
        <label>cyhal_timer.h</label>
        <link refid="cyhal__timer_8h" />
        <childnode refid="392" relation="include">
        </childnode>
        <childnode refid="393" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__timer__cfg__t">cyhal_timer_cfg_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__timer_1ga662f2ac815ee9343d838da91e9cbb6c6" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
<para>eg: null pointer </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="99" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="99" />
      </memberdef>
      <memberdef id="group__group__hal__results__timer_1ga40f8f0d14ae4f0ca76f6fd7fcfc25539" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_CLOCK_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize Timer clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="102" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="102" />
      </memberdef>
      <memberdef id="group__group__hal__results__timer_1ga3bba289229f87384d957b795325fa322" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 2))</initializer>
        <briefdescription>
<para>Failed to initialize Timer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="105" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="105" />
      </memberdef>
      <memberdef id="group__group__hal__results__timer_1ga228ec35da2b49ea8a25ff874694ade56" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_RSLT_ERR_SHARED_CLOCK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a95968938f689d6e820293e66ffd59b15">CYHAL_RSLT_MODULE_TIMER</ref>, 3))</initializer>
        <briefdescription>
<para>Cannot change the timer frequency when a shared clock divider is in use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="108" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="108" />
      </memberdef>
      <memberdef id="group__group__hal__timer_1ga28d85cf945883c0e74a533a4ddd7b122" kind="define" prot="public" static="no">
        <name>CYHAL_TIMER_DEFAULT_FREQ</name>
        <initializer>(1000000u)</initializer>
        <briefdescription>
<para>Default timer frequency, used when an existing clock divider is not provided to <ref kindref="member" refid="group__group__hal__timer_1gaa8ca8e199bc9848f8729ff78953bb0fa">cyhal_timer_init()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="167" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="167" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__timer_1gaeb28a1b2d8914e9ad63bb0a68c321ff6" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_timer_direction_t</name>
        <enumvalue id="group__group__hal__timer_1ggaeb28a1b2d8914e9ad63bb0a68c321ff6a1f50f295ead6dbdb36edefc03a183810" prot="public">
          <name>CYHAL_TIMER_DIR_UP</name>
          <briefdescription>
<para>Counts up. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__timer_1ggaeb28a1b2d8914e9ad63bb0a68c321ff6a1595c7343fcdb73d4745f5062d969905" prot="public">
          <name>CYHAL_TIMER_DIR_DOWN</name>
          <briefdescription>
<para>Counts down. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__timer_1ggaeb28a1b2d8914e9ad63bb0a68c321ff6af3b8efb5f43123961d8631f74db7ea43" prot="public">
          <name>CYHAL_TIMER_DIR_UP_DOWN</name>
          <briefdescription>
<para>Counts up and down, terminal count occurs on both overflow and underflow. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_timer_direction_t: </bold><linebreak />Timer directions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="125" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="120" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="121" />
      </memberdef>
      <memberdef id="group__group__hal__timer_1ga39a171d6680fe30685a6e27a333db8e9" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_timer_event_t</name>
        <enumvalue id="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9ad9b21c35e61b69c316bee693b8fcb0d6" prot="public">
          <name>CYHAL_TIMER_IRQ_NONE</name>
          <initializer>=  0</initializer>
          <briefdescription>
<para>No interrupt handled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9a51b932b9e3e80d5dd7e98b75e7e8228e" prot="public">
          <name>CYHAL_TIMER_IRQ_TERMINAL_COUNT</name>
          <initializer>=  1 &lt;&lt; 0</initializer>
          <briefdescription>
<para>Interrupt when terminal count is reached. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9a90cf556247ca96952af696c0a4d53e15" prot="public">
          <name>CYHAL_TIMER_IRQ_CAPTURE_COMPARE</name>
          <initializer>=  1 &lt;&lt; 1</initializer>
          <briefdescription>
<para>Interrupt when Compare/Capture value is reached. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9a3b6afa3bcff5af8b040f479eda3aaf35" prot="public">
          <name>CYHAL_TIMER_IRQ_ALL</name>
          <initializer>= (1 &lt;&lt; 2) - 1</initializer>
          <briefdescription>
<para>Interrupt on terminal count and Compare/Capture values. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_timer_event_t: </bold><linebreak />Timer/counter interrupt triggers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="133" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="128" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="128" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__timer_1gae239f85fa523177aeed212846e491206" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_timer_event_callback_t) (void *callback_arg, cyhal_timer_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_timer_event_t event)</argsstring>
        <name>cyhal_timer_event_callback_t</name>
        <briefdescription>
<para>Handler for timer events. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" bodystart="160" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="160" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1gaa8ca8e199bc9848f8729ff78953bb0fa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_timer_init</definition>
        <argsstring>(cyhal_timer_t *obj, cyhal_gpio_t pin, const cyhal_clock_t *clk)</argsstring>
        <name>cyhal_timer_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref> *</type>
          <declname>clk</declname>
        </param>
        <briefdescription>
<para>Initialize the timer/counter peripheral and configure the pin. </para>        </briefdescription>
        <detaileddescription>
<para><linebreak />
 See <ref kindref="member" refid="group__group__hal__timer_1subsection_timer_snippet_1">Snippet 1: Measuring time of an operation</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a timer/counter object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>optional - The timer/counter compare/capture pin to initialize </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">clk</parametername>
</parameternamelist>
<parameterdescription>
<para>optional - The shared clock to use, if not provided a new clock will be allocated and the timer frequency will be set to <ref kindref="member" refid="group__group__hal__timer_1ga28d85cf945883c0e74a533a4ddd7b122">CYHAL_TIMER_DEFAULT_FREQ</ref> </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="183" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga94944664f47b8ff7c093719116b35cdc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_timer_free</definition>
        <argsstring>(cyhal_timer_t *obj)</argsstring>
        <name>cyhal_timer_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the timer/counter object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="189" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga03e9a7839ffd4e8cad90f97fab176813" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_timer_configure</definition>
        <argsstring>(cyhal_timer_t *obj, const cyhal_timer_cfg_t *cfg)</argsstring>
        <name>cyhal_timer_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__timer__cfg__t">cyhal_timer_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Updates the configuration and counter value of the timer/counter object. </para>        </briefdescription>
        <detaileddescription>
<para><linebreak />
 This function may temporary stop the timer if it is currently running. See <ref kindref="member" refid="group__group__hal__timer_1subsection_timer_snippet_1">Snippet 1: Measuring time of an operation</ref>. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>The configuration of the timer/counter </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="198" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga38ed4c91e655b8b4f5e446c63327ffe5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_timer_set_frequency</definition>
        <argsstring>(cyhal_timer_t *obj, uint32_t hz)</argsstring>
        <name>cyhal_timer_set_frequency</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>hz</declname>
        </param>
        <briefdescription>
<para>Configures the timer frequency. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This is only valid to call if a null clock divider was provided to &lt;a href="group__group__hal__timer.html#group__group__hal__timer_1gaa8ca8e199bc9848f8729ff78953bb0fa"&gt;cyhal_timer_init&lt;/a&gt;. If a custom clock was provided its frequency should be adjusted directly.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;See </verbatim><ref kindref="member" refid="group__group__hal__timer_1subsection_timer_snippet_1">Snippet 1: Measuring time of an operation</ref>. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">hz</parametername>
</parameternamelist>
<parameterdescription>
<para>The frequency rate in Hz </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_frequency request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="209" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1gaff09b3ffee75893da00d0a7dae2d9cb2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_timer_start</definition>
        <argsstring>(cyhal_timer_t *obj)</argsstring>
        <name>cyhal_timer_start</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Starts the timer/counter with the pre-set configuration from <ref kindref="member" refid="group__group__hal__timer_1ga03e9a7839ffd4e8cad90f97fab176813">cyhal_timer_configure</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>This does not reset the counter. The count value will start from the value that was set by the last operation to modify it. See <ref kindref="member" refid="group__group__hal__timer_1ga03e9a7839ffd4e8cad90f97fab176813">cyhal_timer_configure</ref>, and <ref kindref="member" refid="group__group__hal__timer_1ga86878ca8f781c3ed1a50fbee9e37987f">cyhal_timer_reset</ref> for how the value can be changed. If none of these functions have been called, it will start from 0.<linebreak />
 See <ref kindref="member" refid="group__group__hal__timer_1subsection_timer_snippet_1">Snippet 1: Measuring time of an operation</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the start request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="221" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga8734bf8e55f7b51ef18a22e8d1ffb1e1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_timer_stop</definition>
        <argsstring>(cyhal_timer_t *obj)</argsstring>
        <name>cyhal_timer_stop</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Stops the timer/counter. </para>        </briefdescription>
        <detaileddescription>
<para>Does not reset counter value. <linebreak />
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the stop request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="228" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga86878ca8f781c3ed1a50fbee9e37987f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_timer_reset</definition>
        <argsstring>(cyhal_timer_t *obj)</argsstring>
        <name>cyhal_timer_reset</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reset the timer/counter value to the default value set from <ref kindref="member" refid="group__group__hal__timer_1ga03e9a7839ffd4e8cad90f97fab176813">cyhal_timer_configure</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>If <ref kindref="member" refid="group__group__hal__timer_1ga03e9a7839ffd4e8cad90f97fab176813">cyhal_timer_configure</ref> was never called, this will reset timer/counter value to 0. This function may temporary stop the timer. <linebreak />
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the reset request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="237" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga0be5bf53c214ffcb3c4e962e71af1e6d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_timer_read</definition>
        <argsstring>(const cyhal_timer_t *obj)</argsstring>
        <name>cyhal_timer_read</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reads the current value from the timer/counter <linebreak />
 See <ref kindref="member" refid="group__group__hal__timer_1subsection_timer_snippet_1">Snippet 1: Measuring time of an operation</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current value of the timer/counter </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="245" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga928ffe0a3a1549c94752db7c68306424" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_timer_register_callback</definition>
        <argsstring>(cyhal_timer_t *obj, cyhal_timer_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_timer_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__timer_1gae239f85fa523177aeed212846e491206">cyhal_timer_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a timer/counter callback handler<linebreak />
 </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__timer_1ga4b97fe48330e9b8034ab7c2f56078002">cyhal_timer_enable_event</ref> occurs.</para><para>See <ref kindref="member" refid="group__group__hal__timer_1subsection_timer_snippet_2">Snippet 2: Handling an event in a callback function</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when the event occurs </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="257" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__timer_1ga4b97fe48330e9b8034ab7c2f56078002" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_timer_enable_event</definition>
        <argsstring>(cyhal_timer_t *obj, cyhal_timer_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_timer_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__timer_1ga39a171d6680fe30685a6e27a333db8e9">cyhal_timer_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure timer/counter event enablement <linebreak />
 </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__timer_1ga928ffe0a3a1549c94752db7c68306424">cyhal_timer_register_callback</ref> will be called.</para><para>See <ref kindref="member" refid="group__group__hal__timer_1subsection_timer_snippet_2">Snippet 2: Handling an event in a callback function</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The timer/counter event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" line="270" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress Timer/Counter. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="81"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />CYHAL_TIMER_RSLT_ERR_BAD_ARGUMENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="100"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_TIMER,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="preprocessor">#define<sp />CYHAL_TIMER_RSLT_ERR_CLOCK_INIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="103"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_TIMER,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="preprocessor">#define<sp />CYHAL_TIMER_RSLT_ERR_INIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="106"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_TIMER,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="preprocessor">#define<sp />CYHAL_TIMER_RSLT_ERR_SHARED_CLOCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="109"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_TIMER,<sp />3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="116"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Enumerations</highlight></codeline>
<codeline lineno="117"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal">{</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1ggaeb28a1b2d8914e9ad63bb0a68c321ff6a1f50f295ead6dbdb36edefc03a183810">CYHAL_TIMER_DIR_UP</ref>,<sp /></highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1ggaeb28a1b2d8914e9ad63bb0a68c321ff6a1595c7343fcdb73d4745f5062d969905">CYHAL_TIMER_DIR_DOWN</ref>,<sp /></highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1ggaeb28a1b2d8914e9ad63bb0a68c321ff6af3b8efb5f43123961d8631f74db7ea43">CYHAL_TIMER_DIR_UP_DOWN</ref>,<sp /></highlight></codeline>
<codeline lineno="125"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__timer_1gaeb28a1b2d8914e9ad63bb0a68c321ff6">cyhal_timer_direction_t</ref>;</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9ad9b21c35e61b69c316bee693b8fcb0d6">CYHAL_TIMER_IRQ_NONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp /><sp />0,<sp /></highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9a51b932b9e3e80d5dd7e98b75e7e8228e">CYHAL_TIMER_IRQ_TERMINAL_COUNT</ref><sp /><sp />=<sp /><sp />1<sp />&lt;&lt;<sp />0,<sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9a90cf556247ca96952af696c0a4d53e15">CYHAL_TIMER_IRQ_CAPTURE_COMPARE</ref><sp />=<sp /><sp />1<sp />&lt;&lt;<sp />1,<sp /></highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1gga39a171d6680fe30685a6e27a333db8e9a3b6afa3bcff5af8b040f479eda3aaf35">CYHAL_TIMER_IRQ_ALL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(1<sp />&lt;&lt;<sp />2)<sp />-<sp />1,<sp /></highlight></codeline>
<codeline lineno="133"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__timer_1ga39a171d6680fe30685a6e27a333db8e9">cyhal_timer_event_t</ref>;</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="136"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Data<sp />Structures</highlight></codeline>
<codeline lineno="137"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="140" refid="structcyhal__timer__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">{</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />is_continuous;<sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__timer_1gaeb28a1b2d8914e9ad63bb0a68c321ff6">cyhal_timer_direction_t</ref><sp />direction;<sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />is_compare;<sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />period;<sp /></highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />compare_value;<sp /></highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />value;<sp /></highlight></codeline>
<codeline lineno="153"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__timer__cfg__t">cyhal_timer_cfg_t</ref>;</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="156"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Typedefs</highlight></codeline>
<codeline lineno="157"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void(*<ref kindref="member" refid="group__group__hal__timer_1gae239f85fa523177aeed212846e491206">cyhal_timer_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__timer_1ga39a171d6680fe30685a6e27a333db8e9">cyhal_timer_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="163"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Defines</highlight></codeline>
<codeline lineno="164"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="preprocessor">#define<sp />CYHAL_TIMER_DEFAULT_FREQ<sp />(1000000u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="170"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Functions</highlight></codeline>
<codeline lineno="171"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__timer_1gaa8ca8e199bc9848f8729ff78953bb0fa">cyhal_timer_init</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref><sp />*clk);</highlight></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__timer_1ga94944664f47b8ff7c093719116b35cdc">cyhal_timer_free</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__timer_1ga03e9a7839ffd4e8cad90f97fab176813">cyhal_timer_configure</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__timer__cfg__t">cyhal_timer_cfg_t</ref><sp />*cfg);</highlight></codeline>
<codeline lineno="199"><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__timer_1ga38ed4c91e655b8b4f5e446c63327ffe5">cyhal_timer_set_frequency</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj,<sp />uint32_t<sp />hz);</highlight></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__timer_1gaff09b3ffee75893da00d0a7dae2d9cb2">cyhal_timer_start</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__timer_1ga8734bf8e55f7b51ef18a22e8d1ffb1e1">cyhal_timer_stop</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="229"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__timer_1ga86878ca8f781c3ed1a50fbee9e37987f">cyhal_timer_reset</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="238"><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__timer_1ga0be5bf53c214ffcb3c4e962e71af1e6d">cyhal_timer_read</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="257"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__timer_1ga928ffe0a3a1549c94752db7c68306424">cyhal_timer_register_callback</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__timer_1gae239f85fa523177aeed212846e491206">cyhal_timer_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="258"><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__timer_1ga4b97fe48330e9b8034ab7c2f56078002">cyhal_timer_enable_event</ref>(<ref kindref="compound" refid="structcyhal__timer__t">cyhal_timer_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__timer_1ga39a171d6680fe30685a6e27a333db8e9">cyhal_timer_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="271"><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="273"><highlight class="normal">}</highlight></codeline>
<codeline lineno="274"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="275"><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_TIMER_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="277"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_TIMER_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_TIMER_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_timer.h" />
  </compounddef>
</doxygen>